> ## Documentation Index
> Fetch the complete documentation index at: https://docs.coingecko.com/llms.txt
> Use this file to discover all available pages before exploring further.

# RWA Historical Chart Data by ID

> To get the historical chart data of a RWA including time in UNIX, price, market cap and 24hrs volume based on a particular RWA ID

export const CacheInfo = ({publicRate, paidRate, rate}) => {
  const fmt = v => v === 0 ? 'Real-time (Cacheless)' : `Every ${v}`;
  if (rate !== undefined) {
    return <Callout icon="clock-rotate-left" color="#2196F3" iconType="regular">
        <strong>Cache / Update Frequency:</strong><br />{fmt(rate)}
      </Callout>;
  }
  if (publicRate !== undefined && paidRate !== undefined) {
    return <Callout icon="clock-rotate-left" color="#2196F3" iconType="regular">
        <strong>Cache / Update Frequency:</strong><ul><li>{fmt(paidRate)} (Paid API)</li><li>{fmt(publicRate)} (Demo / Keyless API)</li></ul>
      </Callout>;
  }
  return null;
};

export const PlanExclusivity = ({tier}) => {
  if (tier === "enterprise") {
    return <Callout icon="crown" color="#FFC107" iconType="regular">
        <strong>Enterprise Only</strong><br />This endpoint is exclusively available to <strong>Enterprise</strong> plan.<br /><a href="https://www.coingecko.com/en/api/enterprise">→ Contact sales</a>
      </Callout>;
  }
  if (tier === "analyst_above") {
    return <Callout icon="briefcase" color="#FFC107" iconType="regular">
        <strong>Analyst Plan and Above</strong><br />This endpoint is only available to <strong>Analyst, Lite, Pro, and Enterprise</strong> plan.<br /><a href="https://www.coingecko.com/en/api/pricing">→ View pricing</a>
      </Callout>;
  }
  if (tier === "basic_above") {
    return <Callout icon="briefcase" color="#FFC107" iconType="regular">
        <strong>Basic Plan and Above</strong><br />This endpoint is only available to <strong>Basic, Analyst, Lite, Pro, and Enterprise</strong> plan.<br /><a href="https://www.coingecko.com/en/api/pricing">→ View pricing</a>
      </Callout>;
  }
  throw new Error(`PlanExclusivity: invalid tier "${tier}". Use "basic_above", "analyst_above", or "enterprise".`);
};

#### Notes

* Find an RWA's API ID via [RWA List](/reference/rwas-list).
* Auto-granularity when `interval` is not specified:
  * 1 day from current time = **5-minutely** data
  * 2–90 days = **hourly** data
  * Above 90 days = **daily** data (00:00 UTC)
* Override with the `interval` parameter:
  * `daily`: daily historical data
  * `hourly`: hourly data, up to the **past 100 days**
  * `5m`: 5-minutely data, up to the **past 10 days** (Enterprise only)
* Data available from 1 July 2025 onwards for stocks, and 15 September 2019 onwards for commodities.

<Note>
  - The last completed UTC day (00:00) is available 10 minutes after midnight (00:10 UTC).
  - Values reflect the aggregated onchain tokenized market, not the underlying stock or commodity spot market. All values are in USD.
</Note>

<Warning>
  Historical data on the **Basic plan** is restricted to the past 2 years. Subscribe to [Analyst plan & above](https://www.coingecko.com/en/api/pricing) for the full range.
</Warning>

<PlanExclusivity tier="basic_above" />

<CacheInfo rate="30 seconds" />


## OpenAPI

````yaml openapi-specs/pro-api.json get /rwas/{id}/market_chart
openapi: 3.0.0
info:
  title: CoinGecko Pro API
  version: 3.0.0
servers:
  - url: https://pro-api.coingecko.com/api/v3
security:
  - headerAuth: []
  - queryAuth: []
paths:
  /rwas/{id}/market_chart:
    get:
      summary: RWA Historical Chart Data by ID
      description: >-
        To get the historical chart data of a RWA including time in UNIX, price,
        market cap and 24hrs volume based on a particular RWA ID
      operationId: rwas-id-market-chart
      parameters:
        - name: id
          in: path
          required: true
          description: |-
            RWA ID. 
            *refers to [`/rwas/list`](/reference/rwas-list)
          schema:
            type: string
            default: gold
        - name: days
          in: query
          required: false
          description: |-
            Data up to number of days ago. 
            You may use any integer or `max` for number of days. 
            Default: 1
          schema:
            type: string
            default: '1'
        - name: interval
          in: query
          required: false
          description: Data interval, leave empty for auto granularity.
          schema:
            type: string
            enum:
              - 5m
              - hourly
              - daily
        - name: precision
          in: query
          required: false
          description: Decimal place for currency price value.
          schema:
            type: string
            enum:
              - full
              - '0'
              - '1'
              - '2'
              - '3'
              - '4'
              - '5'
              - '6'
              - '7'
              - '8'
              - '9'
              - '10'
              - '11'
              - '12'
              - '13'
              - '14'
              - '15'
              - '16'
              - '17'
              - '18'
      responses:
        '200':
          description: RWA historical chart data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RwasIdMarketChart'
              example:
                tokenized_prices:
                  - - 1753855200000
                    - 2408.41
                  - - 1753858800000
                    - 2410.12
                  - - 1753862400000
                    - 2411.88
                  - - 1753866000000
                    - 2412.55
                tokenized_market_caps:
                  - - 1753855200000
                    - 4820113402
                  - - 1753858800000
                    - 4823527811
                  - - 1753862400000
                    - 4826039550
                  - - 1753866000000
                    - 4827893517
                tokenized_total_volumes:
                  - - 1753855200000
                    - 1842300000
                  - - 1753858800000
                    - 1858740000
                  - - 1753862400000
                    - 1869210000
                  - - 1753866000000
                    - 1875000000
components:
  schemas:
    RwasIdMarketChart:
      type: object
      required:
        - tokenized_prices
        - tokenized_market_caps
        - tokenized_total_volumes
      properties:
        tokenized_prices:
          type: array
          description: Tokenized price data points as [timestamp, price] pairs
          items:
            type: array
            items:
              type: number
        tokenized_market_caps:
          type: array
          description: Tokenized market cap data points as [timestamp, market_cap] pairs
          items:
            type: array
            items:
              type: number
        tokenized_total_volumes:
          type: array
          description: Tokenized total volume data points as [timestamp, volume] pairs
          items:
            type: array
            items:
              type: number
  securitySchemes:
    headerAuth:
      type: apiKey
      in: header
      name: x-cg-pro-api-key
      description: >-
        Learn how to [set up your API
        key](https://docs.coingecko.com/docs/setting-up-your-api-key)
    queryAuth:
      type: apiKey
      in: query
      name: x_cg_pro_api_key
      description: >-
        Learn how to [set up your API
        key](https://docs.coingecko.com/docs/setting-up-your-api-key)

````